svn commit: r252134 - user/cperciva/portsnap-build
Colin Percival
cperciva at FreeBSD.org
Mon Jun 24 00:26:57 UTC 2013
Author: cperciva
Date: Mon Jun 24 00:26:56 2013
New Revision: 252134
URL: http://svnweb.freebsd.org/changeset/base/252134
Log:
If we fail to get the latest svn revision # from HEAD, it probably means
that EvilPete is doing his monthly upgrades and rebooting servers. Wait
five minutes and try again.
Modified:
user/cperciva/portsnap-build/build.sh
Modified: user/cperciva/portsnap-build/build.sh
==============================================================================
--- user/cperciva/portsnap-build/build.sh Mon Jun 24 00:23:04 2013 (r252133)
+++ user/cperciva/portsnap-build/build.sh Mon Jun 24 00:26:56 2013 (r252134)
@@ -24,7 +24,11 @@ mkdir ${WORKDIR} ${SNAPDIR} ${TMPDIR} ${
SNAPDATE=`date "+%s"`
# Get the latest revision # on the tree
-NEWREV=`sh -e s/svn-getrev.sh head`
+if ! NEWREV=`sh -e s/svn-getrev.sh head`; then
+ echo "Waiting 5 minutes for svn server to return"
+ sleep 300
+ NEWREV=`sh -e s/svn-getrev.sh head`
+fi
# Create a memory disk for holding the snapshot files.
SNAPMD=`mdconfig -a -t swap -s ${SNAPMDSIZE} -n`
More information about the svn-src-user
mailing list